Subject: Re: bug#33263: 27.0.50; Tidying up Gnus modes

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 06 Nov 2018 09:37:59 -0800

Noam Postavsky <[email-masked]> writes:

> On Tue, 6 Nov 2018 at 11:22, Eric Abrahamsen <[email-masked]> wrote:
>
>> >>>> +(defvar gnus-browse-mode-map (make-keymap))
>> >>>>
>> >>>>  (unless gnus-browse-mode-map
>> >>>> -  (setq gnus-browse-mode-map (make-keymap))
>> >>>> +  (defvar gnus-browse-mode-map (make-keymap))
>
>> Right, I got that much, I was mostly wondering why the `unless' -- it's
>> unlikely these files would be loaded multiple times, and even if they
>> were, that wouldn't break anything, would it?
>
> Without the `unless', if the user had made changes to
> gnus-browse-mode-map they would be lost upon reload (as you say, it's
> not especially likely to happen, but I guess the original author
> wanted to preserve the semantics of the single defvar form).

Got it, thanks for the explanation. I'll fix this, and look more closely
at the "group" argument to `gnus-summary-mode'.

Eric